package inettools;

import java.io.InputStream;

import javax.microedition.media.Manager;
import javax.microedition.media.MediaException;
import javax.microedition.media.Player;
/*
import com.siemens.mp.game.Light;
import com.siemens.mp.media.Manager;
import com.siemens.mp.media.MediaException;
import com.siemens.mp.media.Player;
*/

public class Resources {
	private static Player info, action, message;
	private InputStream is;

	public Resources(){
		try{
//			is = getClass().getResourceAsStream("/sounds/info.wav");
//			info 	= Manager.createPlayer(is, "audio/x-wav");
			info 	= Manager.createPlayer("/sounds/info.wav");
			info.realize();
			info.prefetch();
//			is = getClass().getResourceAsStream("/sounds/action.wav");
//			action 	= Manager.createPlayer(is, "audio/x-wav");
			action 	= Manager.createPlayer("/sounds/action.wav");
			action.realize();
			action.prefetch();
//			is = getClass().getResourceAsStream("/sounds/message.wav");
//			message = Manager.createPlayer(is, "audio/x-wav");
			message = Manager.createPlayer("/sounds/message.wav");
			message.realize();
			message.prefetch();
        }catch(Exception exception){}  
	}

	private static void stopAllSounds() throws MediaException{
		info.stop();
		action.stop();
		message.stop();
	}
	
	public static void playInfo() {
		try {
			stopAllSounds();
			info.start();
		} catch (MediaException e) {}
	}
	public static void playAction() {
		try {
			stopAllSounds();
			action.start();
		} catch (MediaException e) {}
	}
	public static void playMsg() {
		try {
			stopAllSounds();
			message.start();
		} catch (MediaException e) {}
	}

	public static void LCDOff() {
     //  try{Light.setLightOff();}catch(Exception exception){}
	//	Irc.display.flashBacklight(0);
	}
	public static void LCDOn() {
	 //  try{Light.setLightOn();}catch(Exception exception){}
	//	Irc.display.flashBacklight(255);
	}
	public static void LCDFlash() {
		LCDOn();
		LCDOff();
		LCDOn();
		LCDOff();
		LCDOn();
	}

	public static void vibrate() {
      //  Vibrator.triggerVibrator(200); 
		Irc.display.vibrate(200);
	}
}
